Subject: RE: More on relative pathname
From: [email-masked] (Gordon Watts Brown University)

12 Jan 1999 07:24:49 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8BIT
To: Bernard Dautrevaux <[email-masked]>,
        gnu-win cygnus mailing list <[email-masked]>

Hi,
  Thanks. Forgetting the "!" was a typo. Some people can reproduce this
error and others have my script work just fine. I'm starting to wonder if it
has something to do with the file system or locking or permissions.

The symptoms are the same weather or not the "!" is present, btw. The error
I get is the following:

bash-2.01$ PATH=./junk123:${PATH}
bash-2.01$ export PATH
bash-2.01$ stuff.sh
stuff.sh: Can't open stuff.sh
bash-2.01$ type stuff.sh
stuff.sh is hashed (././junk123/stuff.sh)

Note -- the error is different than if it can't find the command:

bash-2.01$ bogus.fruitcake
bash: bogus.fruitcake: command not found

Thanks again for your help.

	Cheers,
		Gordon.

> -----Original Message-----
> From: Bernard Dautrevaux [mailto:[email-masked]]
> Sent: Monday, January 11, 1999 12:37 PM
> To: 'Gordon Watts (Brown University)'; gnu-win cygnus mailing list
> Subject: RE: More on relative pathname
>
>
> > -----Message d'origine-----
> > De:	Gordon Watts (Brown University) [SMTP:[email-masked]]
> > Date:	Monday, January 11, 1999 04:05
> > À:	gnu-win cygnus mailing list
> > Objet:	More on relative pathname
> >
> > Hi,
> >   I'm still having the problem. I downloaded b20.1 and installed it on
> > a
> > clean machine (hadn't seen versions of b19 or b20 or any other b
> > before). I
> > still observe the error. I've included a small shell script below
> > which
> > demonstrates the difficulty I'm having. Perhaps I'm making a
> > bone-headed
> > unix mistake?
> >
> > 	Cheers,
> > 		Gordon.
> >
> > ==============
> > #!/bin/sh
> >
> > mkdir junk123
> > cat > junk123/stuff.sh <<EOF
> > #/bin/sh
> Seems you're missing a '!' here; should read '#!/bin/sh'
> > echo hi
> > EOF
> >
> > chmod a+x junk123/stuff.sh
> This line should not be needed; for CygWin a file is executable if its
> extension is ".exe" or if its contents starts by the magic cookie
> "#!"...
>
> > PATH=./junk123:${PATH}
> > export PATH
> >
> > echo Will now try to run the thing
> > # I get an error on this line
> > stuff.sh
> > ==========
> >
> Which error do you get? (if my previous remark was wrong or if you still
> get the error after correcting it...)
>
> Regards,
>
> 		Bernard
>
> ------------------------------------------------------------------------
> ------
> Bernard Dautrevaux
> Microprocess Ingéniérie
> 97 bis, rue de Colombes
> 92400 COURBEVOIE
> FRANCE
> Tel:	+33 (0) 1 47 68 80 80
> Fax:	+33 (0) 1 47 88 97 85
> e-mail:	[email-masked]
> 	[email-masked]
> ------------------------------------------------------------------------
> ------
>
>
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".